freeslot(
	"S_SALA","SPR_SALA",
	"S_HAUB","SPR_HAUB",
	"S_USHA","SPR_USHA",
	"S_STUP","SPR_STUP",
	"S_MIGO","SPR_MIGO",
	"S_GBTH","SPR_GBTH",
	"S_PYBE","SPR_PYBE",
	"S_TRUG","SPR_TRUG",
	"S_ANRI","SPR_ANRI",
	"S_FISH","SPR_FIFM",
	"S_LUFU","SPR_LUFU",
	"S_ASTR","SPR_ASTR",
	"S_DIMA","SPR_DIMA",
	"S_STOG","SPR_STOG",	
	"S_SSMK","SPR_SSMK",
	"S_PMSH","SPR_PMSH",
	"S_FAKE","SPR_FAKE",
	"S_VERT","SPR_VERT"
)

states[S_SALA].sprite = SPR_SALA
states[S_HAUB].sprite = SPR_HAUB
states[S_USHA].sprite = SPR_USHA
states[S_STUP].sprite = SPR_STUP
states[S_MIGO].sprite = SPR_MIGO
states[S_GBTH].sprite = SPR_GBTH
states[S_PYBE].sprite = SPR_PYBE
states[S_TRUG].sprite = SPR_TRUG
states[S_ANRI].sprite = SPR_ANRI
states[S_FISH].sprite = SPR_FIFM
states[S_LUFU].sprite = SPR_LUFU
states[S_ASTR].sprite = SPR_ASTR
states[S_DIMA].sprite = SPR_DIMA
states[S_STOG].sprite = SPR_STOG
states[S_SSMK].sprite = SPR_SSMK
states[S_PMSH].sprite = SPR_PMSH
states[S_FAKE].sprite = SPR_FAKE
states[S_VERT].sprite = SPR_VERT

for i = S_SALA,S_VERT
	states[i].tics = -1
end

local smoker = function(mo)
	if leveltime % 15 == 0
		local fl = P_MobjFlip(mo.target)
		local star = P_SpawnMobj(mo.x,mo.y,mo.z + (12 * FRACUNIT * fl),MT_DRIFTDUST)
		star.momz = (2 * FRACUNIT) * fl
		star.fuse = 16
		star.state = S_SSMK
	end
end

//Cosmetics.AddHat(name,					artist,				hudsprite,	state,	ismask,	thinker)
Cosmetics.AddHat("Salakot",					"komalose",			"SALAA0",	S_SALA,	false,	nil)
Cosmetics.AddHat("Sausagehaub",				"komalose",			"HAUBA1",	S_HAUB,	false,	nil)
Cosmetics.AddHat("Ushanka",					"komalose",			"USHAA1",	S_USHA,	false,	nil)
Cosmetics.AddHat("Stupid Rat",				"MildMole",			"STUPA1",	S_STUP,	false,	nil)
Cosmetics.AddHat("mini goob",				"dgplex",			"MIGOA1",	S_MIGO,	false,	nil)
Cosmetics.AddHat("Goob Top Hat",			"bepisgaming",		"GBTHA1",	S_GBTH,	false,	nil)
Cosmetics.AddHat("Pyro's Beanie",			"Hyogs",			"PYBEA1",	S_PYBE,	false,	nil)
Cosmetics.AddHat("True Gamer",				"bepisgaming",		"TRUGA1",	S_TRUG,	false,	nil)
Cosmetics.AddHat("Angel Ring",				"Salmon270",		"ANRIA0",	S_ANRI,	false,	nil)
Cosmetics.AddHat("Fisher",					"komalose",			"FIFMA1",	S_FISH,	false,	nil)
Cosmetics.AddHat("Luluco Fumo",				"Deoxyius",			"LUFUA0",	S_LUFU,	false,	nil)
Cosmetics.AddHat("Astronaut Helmet",		"Bladesinger",		"ASTRA1",	S_ASTR,	false,	nil)
Cosmetics.AddHat("Da Dimma Dapper",			"Bladesinger",		"DIMAA1",	S_DIMA,	false,	nil)
Cosmetics.AddHat("Stogie",					"Bladesinger",		"STOGA1",	S_STOG,	false,	smoker)
Cosmetics.AddHat("Paper Mario Goomba Spike Hat",	"Bladesinger",		"PMSHA1",	S_PMSH,	false,	nil)
Cosmetics.AddHat("FAKE",					"bepisgaming",		"FAKEA0",	S_FAKE,	false,	nil)
Cosmetics.AddHat("Vertin's Hat",			"pulsyrup",			"VERTA1",	S_VERT,	false,	nil)